

require('./verificationMethod/index.js');

//#region src/modules/dids/domain/didDocumentKey.ts
function getKmsKeyIdForVerifiacationMethod(verificationMethod, keys) {
	return keys?.find(({ didDocumentRelativeKeyId }) => verificationMethod.id.endsWith(didDocumentRelativeKeyId))?.kmsKeyId;
}

//#endregion
exports.getKmsKeyIdForVerifiacationMethod = getKmsKeyIdForVerifiacationMethod;